Bug 1674769 - cp2k: FTBFS in Fedora rawhide/f30
Summary: cp2k: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cp2k
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:00 UTC by Fedora Release Engineering
Modified: 2019-08-19 01:02 UTC (History)
3 users (show)

Fixed In Version: cp2k-6.1-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 01:02:01 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:00 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:00 UTC, Fedora Release Engineering
no flags Details
state.log (601 bytes, text/plain)
2019-02-11 17:00 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:00:13 UTC
cp2k failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32373749


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix cp2k at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
cp2k will be orphaned. Before branching of Fedora 31,
cp2k will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:00:15 UTC
Created attachment 1529594 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:00:17 UTC
Created attachment 1529595 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:00:18 UTC
Created attachment 1529596 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:25:28 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Dominik 'Rathann' Mierzejewski 2019-04-28 20:30:46 UTC
Working on it.

Comment 6 Fedora Release Engineering 2019-08-08 13:37:10 UTC
The package was retired.

Comment 7 Dominik 'Rathann' Mierzejewski 2019-08-10 13:13:59 UTC
Unretired and fixed.

Comment 8 Fedora Update System 2019-08-10 17:36:31 UTC
FEDORA-2019-a035f6245d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a035f6245d

Comment 9 Fedora Update System 2019-08-11 02:20:26 UTC
cp2k-6.1-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a035f6245d

Comment 10 Ben Cotton 2019-08-13 17:10:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 11 Fedora Update System 2019-08-19 01:02:01 UTC
cp2k-6.1-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.